Name:           nforenum
Version:        3.4.7
Release:        0.4.r2294%{?dist}
Summary:        A format correcter and linter for the NFO language
Group:          Development/Tools
License:        GPLv2+
URL:            http://users.tt-forums.net/dalestan/nforenum/
# svn export -r2294 svn://svn.ttdpatch.net/misc/nforenum/
# tar --xz -cf nforenum-r2294.tar.xz nforenum
Source0:        nforenum-r2294.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  boost-devel


%description
nforenum takes as input any number of files that contain something that vaguely
resembles valid NFO, and produces, to the best of its ability, encodable NFO
files, one for each input file.
It also detects and warns about some common mistakes made in NFO coding. All
errors that will cause TTDPatch to reject the GRF during the initialization or
activation phases should be detected; if any are not, it is a bug and should be
reported as such.
Sprites that are too short, not of the correct type (real/pseudo/&c.), too
long, or otherwise not in agreement with their data or the preceeding sprites
are all detected. 

%prep
%setup -q -n %{name}

for f in doc/COMMANDS.en.txt; do
  iconv -f iso8859-1 -t utf-8 $f >$f.conv 
  touch -r $f $f.conv
  mv $f.conv $f
done


%build
V=1 CFLAGAPP="%{optflags}" make %{?_smp_mflags}


%install
rm -rf %{buildroot}
install -D -m 755 renum %{buildroot}%{_bindir}/nforenum


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt COPYING.txt TODO.txt
%doc doc/
%{_bindir}/*


%changelog
* Mon Jan 18 2010 Felix Kaechele <heffer@fedoraproject.org> - 3.4.7-0.4.r2294
- new snapshot fixes gcc 4.4 errors

* Fri Dec 18 2009 Felix Kaechele <heffer@fedoraproject.org> - 3.4.7-0.3.r2275
- new snapshot

* Sun Sep 06 2009 Felix Kaechele <heffer@fedoraproject.org> - 3.4.7-0.2.r2184
- incorporated changes as suggested in #519118

* Mon Aug 24 2009 Felix Kaechele <heffer@fedoraproject.org> - 3.4.7-0.1.r2184
- initial package

